Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.oai
Interface DocumentBaseOAIRepository.ConfigurationNode

Enclosing interface:
  DocumentBaseOAIRepository

public static interface DocumentBaseOAIRepository.ConfigurationNode

Field Summary
`static java.lang.String` | `ADMIN_EMAIL`
`static java.lang.String` | `BASE_URL`
`static java.lang.String` | `DEFAULT_OAI_REPOSITORY`
`static java.lang.String` | `DESCRIPTION`
`static java.lang.String` | `EXT_OAI_ID_PREFIX`
`static java.lang.String` | `ID`
`static java.lang.String` | `NAME`
`static java.lang.String` | `NO_PER_RESPONSE`
`static java.lang.String` | `OAI_SET`
`static java.lang.String` | `OAI_SETS`
`static java.lang.String` | `QUERY`
`static java.lang.String` | `SPEC`
`static java.lang.String` | `SRC` String representation of the "description" attribute name "src".

Field Detail

### ADMIN_EMAIL

    public static final java.lang.String ADMIN_EMAIL

See Also:
  Constant Field Values

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### BASE_URL

    public static final java.lang.String BASE_URL

See Also:
  Constant Field Values

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### EXT_OAI_ID_PREFIX

    public static final java.lang.String EXT_OAI_ID_PREFIX

See Also:
  Constant Field Values

### DEFAULT_OAI_REPOSITORY

    public static final java.lang.String DEFAULT_OAI_REPOSITORY

See Also:
  Constant Field Values

### QUERY

    public static final java.lang.String QUERY

See Also:
  Constant Field Values

### NO_PER_RESPONSE

    public static final java.lang.String NO_PER_RESPONSE

See Also:
  Constant Field Values

### OAI_SETS

    public static final java.lang.String OAI_SETS

See Also:
  Constant Field Values

### OAI_SET

    public static final java.lang.String OAI_SET

See Also:
  Constant Field Values

### SPEC

    public static final java.lang.String SPEC

See Also:
  Constant Field Values

### SRC

    public static final java.lang.String SRC

  String representation of the "description" attribute name "src".

  See Also:
    Constant Field Values

### DESCRIPTION

    public static final java.lang.String DESCRIPTION

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.